Loading...
Searching...
No Matches
segmen2d_parallel.c File Reference
`#include <stdio.h>`
`#include <stdlib.h>`
`#include <math.h>`
`#include <grass/gis.h>`
`#include <grass/glocale.h>`
`#include <grass/interpf.h>`
`#include <grass/gmath.h>`
Include dependency graph for segmen2d_parallel.c:

Go to the source code of this file.

## Functions

int | IL_interp_segments_2d_parallel (struct interp_params *params, struct tree_info *info, struct multtree *tree, struct BM *bitmask, double zmin, double zmax, double *zminac, double *zmaxac, double *gmin, double *gmax, double *c1min, double *c1max, double *c2min, double *c2max, double *ertot, int totsegm, off_t offset1, double dnorm, int threads)

## Function Documentation

## IL_interp_segments_2d_parallel()

int IL_interp_segments_2d_parallel | ( | struct interp_params * | params,
|  | struct tree_info * | info,
|  | struct multtree * | tree,
|  | struct BM * | bitmask,
|  | double | zmin,
|  | double | zmax,
|  | double * | zminac,
|  | double * | zmaxac,
|  | double * | gmin,
|  | double * | gmax,
|  | double * | c1min,
|  | double * | c1max,
|  | double * | c2min,
|  | double * | c2max,
|  | double * | ertot,
|  | int | totsegm,
|  | off_t | offset1,
|  | double | dnorm,
|  | int | threads )

See documentation for IL_interp_segments_2d. This is a parallel processing implementation.

Parameters

  info | info for the quad tree
  tree | current leaf of the quad tree
  bitmask | bitmask
  zmax | min and max input z-values
  zmaxac | min and max interp. z-values
  gmax | min and max inperp. slope val.
  c1max | min and max interp. curv. val.
  c2max | min and max interp. curv. val.
  ertot | total interplating func. error
  totsegm | total number of segments
  offset1 | offset for temp file writing

Definition at line 36 of file segmen2d_parallel.c.

References b, interp_params::check_points, interp_params::create_devi, interp_params::cv, multtree::data, err(), G_alloc_ivector(), G_alloc_matrix(), G_alloc_vector(), G_debug(), G_fatal_error(), G_free(), G_lubksb(), G_message(), G_percent(), G_warning(), interp_params::grid_calc, IL_matrix_create_alloc(), interp_params::KMAX2, interp_params::kmin, MT_region_data(), quaddata::n_cols, quaddata::n_points, quaddata::n_rows, interp_params::nsizc, interp_params::nsizr, NULL, quaddata::points, quad_data_new(), smallest_segment(), interp_params::Tmp_fd_dx, interp_params::Tmp_fd_dy, interp_params::Tmp_fd_xx, interp_params::Tmp_fd_xy, interp_params::Tmp_fd_yy, interp_params::Tmp_fd_z, triple::x, interp_params::x_orig, quaddata::x_orig, quaddata::xmax, triple::y, interp_params::y_orig, quaddata::y_orig, quaddata::ymax, and triple::z.